### Class

# GtkColorDialog

since: 4.10

#### Description [src]

    final class Gtk.ColorDialog : GObject.Object
    {
      /* No available fields */
    }

A `GtkColorDialog` object collects the arguments that are needed to present a color chooser dialog to the user, such as a title for the dialog and whether it should be modal.

The dialog is shown with the `gtk_color_dialog_choose_rgba()` function. This API follows the GIO async pattern, and the result can be obtained by calling `gtk_color_dialog_choose_rgba_finish()`.

See `GtkColorDialogButton` for a convenient control that uses `GtkColorDialog` and presents the results.

Available since: 4.10

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### gtk_color_dialog_new

Creates a new `GtkColorDialog` object.

since: 4.10

#### Instance methods

###### gtk_color_dialog_choose_rgba

This function initiates a color choice operation by presenting a color chooser dialog to the user.

since: 4.10

###### gtk_color_dialog_choose_rgba_finish

Finishes the `gtk_color_dialog_choose_rgba()` call and returns the resulting color.

since: 4.10

###### gtk_color_dialog_get_modal

Returns whether the color chooser dialog blocks interaction with the parent window while it is presented.

since: 4.10

###### gtk_color_dialog_get_title

Returns the title that will be shown on the color chooser dialog.

since: 4.10

###### gtk_color_dialog_get_with_alpha

Returns whether colors may have alpha.

since: 4.10

###### gtk_color_dialog_set_modal

Sets whether the color chooser dialog blocks interaction with the parent window while it is presented.

since: 4.10

###### gtk_color_dialog_set_title

Sets the title that will be shown on the color chooser dialog.

since: 4.10

###### gtk_color_dialog_set_with_alpha

Sets whether colors may have alpha.

since: 4.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gtk.ColorDialog:modal

Whether the color chooser dialog is modal.

since: 4.10

###### Gtk.ColorDialog:title

A title that may be shown on the color chooser dialog that is presented by `gtk_color_dialog_choose_rgba()`.

since: 4.10

###### Gtk.ColorDialog:with-alpha

Whether colors may have alpha (translucency).

since: 4.10

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkColorDialogClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.